SOURCES	+= src/snmptalker.cpp \
	src/graph.cpp \
	src/oidmap.cpp \
	src/snmpmonconfig.cpp \
	src/monitoritem.cpp \
	src/main.cpp
HEADERS	+= src/graph.h \
	src/snmptalker.h \
	src/oidmap.h \
	src/snmpmonconfig.h \
	src/monitoritem.h \
	src/config.h
unix {
	UI_DIR = .ui
	MOC_DIR = .moc
	OBJECTS_DIR = .obj
}
FORMS	= src/snmpmon.ui \
	src/connectdlg.ui \
	src/oidmapeditor.ui \
	src/prefdialog.ui \
	src/helpdialog.ui \
	src/monitorfiledlg.ui \
	src/monitorpreviewdlg.ui

TEMPLATE	= app
CONFIG	+= qt warn_off release
LIBS	+= `net-snmp-config --libs`
LANGUAGE	= C++
translation.path = /usr/share/snmpmon/
translation.files += translation/*.qm
target.path = /usr/bin/
INSTALLS += target \
	    translation
TRANSLATIONS = translation/snmpmon_de.ts
IMAGES = images/1downarrow.png \
	images/1rightarrow.png \
	images/1uparrow.png \
	images/bottom.png \
	images/connect_no.png \
	images/editcopy \
	images/editcut \
	images/editdelete.png \
	images/editpaste \
	images/fileclose.png \
	images/filenew \
	images/filenew.png \
	images/fileopen \
	images/fileopen_1.png \
	images/filesave \
	images/filesave.png \
	images/print \
	images/redo \
	images/searchfind \
	images/start.png \
	images/stop.png \
	images/undo \
	images/window_new.png
