/*
 * Copyright (C) Christof Musik, bitbone AG
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef MONITORITEM_H
#define MONITORITEM_H
#include <qlistview.h>
#include "snmpmonconfig.h"

class MonitorItem : public QListViewItem {
    public:
	MonitorItem (QListView *listview=0, QString name1=0, SNMPMonConfig *cfg=0);
	MonitorItem (QListView *listview=0, QString name1=0, QString name2=0, SNMPMonConfig *cfg=0);
	MonitorItem (QListView *listview=0, QListViewItem *after=0, QString name1=0, QString name2=0, SNMPMonConfig *cfg=0);
	~MonitorItem();

	SNMPMonConfig *config;

};
#endif
