/*
 * Copyright (C) Christof Musik, bitbone AG
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "monitoritem.h"

MonitorItem::MonitorItem(QListView *listview, QString name1, SNMPMonConfig *cfg) : QListViewItem(listview, name1) {
    config = cfg;
}

MonitorItem::MonitorItem(QListView *listview, QString name1, QString name2, SNMPMonConfig *cfg) : QListViewItem(listview, name1, name2) {
    config = cfg;
}

MonitorItem::MonitorItem(QListView *listview, QListViewItem *after, QString name1, QString name2, SNMPMonConfig *cfg) : QListViewItem(listview, after, name1, name2) {
    config = cfg;
}

MonitorItem::~MonitorItem() {
    delete config;
}
